<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla modelitem library
jimport('joomla.application.component.model');

class WebDevTrackModelCustomer extends JModel
{
	public function getItem()
	{
		$id = JRequest::getInt('id');

		$row = JTable::getInstance('Customer', 'WebDevTrackTable');
		$row->load($id);

		return $row;
	}

	public function getSoftware()
	{
		$id = JRequest::getInt('id');

		$db = $this->getDbo();
		$query = $db->getQuery(true);

		$query->select('s.id AS id, s.customer_id AS customer_id, s.version_id AS version_id');
		$query->from('#__wdt_customer_software AS s');
		
		// Join the version
		$query->select('v.id AS v_id, v.software_id AS software_id');
		$query->join('LEFT', '#__wdt_version AS v ON v.id = s.customer_id');
		
		// Join the software
		$query->select('sw.id AS sw_id, sw.software AS sw_software');
		$query->join('LEFT', '#__wdt_software AS sw ON sw.id = v.software_id');
		
		$query->where('published = 1');
		$query->where("customer_id = '{$id}'");

		$db->setQuery($query);

		$rows = $db->loadObjectList();

		return $rows;
	}
}